Bug 429694 - Review Request: openfire -- Instant messaging and groupchat server based on XMPP
Summary: Review Request: openfire -- Instant messaging and groupchat server based on XMPP
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-22 14:29 UTC by Matěj Cepl
Modified: 2018-04-11 10:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 11:17:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: fedora-review-


Attachments (Terms of Use)

Description Matěj Cepl 2008-01-22 14:29:15 UTC
Spec URL: http://mcepl.fedorapeople.org/rpms/openfire.spec
SRPM URL: http://mcepl.fedorapeople.org/rpms/openfire-3.4.4-1.fc9.src.rpm
Description:
Openfire is an instant messaging (IM) and groupchat server that uses the XMPP protocol.

Comment 1 Peter Lemenkov 2008-01-23 14:19:50 UTC
What exactly dropped from this package's source?

Comment 2 Dennis Gilmore 2008-01-23 14:47:38 UTC
looking at the script that cleans it up a copy of someones java runtime. 
certainly something we dont want and most likely cant redistribute


Comment 3 Dennis Gilmore 2008-01-23 15:27:17 UTC
src/resources/nativeAuth/linux-i386/libshaj.so  in the tarball needs to go and
has to be compiled in the build process.


Comment 4 Matěj Cepl 2008-01-23 16:39:35 UTC
Do I have to remove it from the source tarball, or is it enough to kill it in
the %prep stage?

However, I have some more stuff to fix, so the updated package will come soon.

Comment 5 Matěj Cepl 2008-01-23 17:20:31 UTC
This is the output of lintian -- I am not sure about that Noarch suggestion --
aren't these *.so files arch dependent?

[matej@hubmaier rpm]$ rpmlint -i RPMS/x86_64/openfire-3.4.4-2.fc9.x86_64.rpm 
openfire.x86_64: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

openfire.x86_64: E: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

openfire.x86_64: W: dangerous-command-in-%post chown
openfire.x86_64: W: service-default-enabled /etc/init.d/openfire
The service is enabled by default after "chkconfig --add"; for security
reasons, most services should not be. Use "-" as the default runlevel in the
init script's "chkconfig:" line and/or remove the "Default-Start:" LSB keyword
to fix this if appropriate for this service.

openfire.x86_64: W: class-path-in-manifest /usr/lib64/openfire/lib/jtds.jar
The META-INF/MANIFEST file in the jar contains a hardcoded Class-Path.
These entries do not work with older Java versions and even if they do work,
they are inflexible and usually cause nasty surprises.

New SRPMS is at http://mcepl.fedorapeople.org/rpms/openfire-3.4.4-2.fc9.src.rpm

Comment 7 Matěj Cepl 2008-03-18 11:17:14 UTC
Giving up on local Jabber server.


Note You need to log in before you can comment on or make changes to this bug.